Subject: bug#57708: 28.1; running external application from emacs (snap)

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 09 Sep 2022 21:16:45 +0200

beruchris via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> After upgrading to Ubuntu 22.04 LTS, I run in the following error when
> starting an application from emacs. E.g.: shell-command atril 
> (same behaviour with emacs -Q)
>
> atril: symbol lookup error: /snap/emacs/1609/usr/lib/x86_64-linux-
> gnu/gdk-pixbuf-2.0/2.10.0/loaders/../../../../../../lib/x86_64-linux-
> gnu/libpthread.so.0: undefined symbol: __libc_pthread_init, version
> GLIBC_PRIVATE

Is this an Emacs installed from a snap package from the Ubuntu store, or
an Emacs you've built yourself?

> In GNU Emacs 28.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.20,
> cairo version 1.16.0)
>  of 2022-06-24 built on lcy02-amd64-106
> Repository revision: 82b52fe2e2246a5ce049f1a00a758b85432e7f5e
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version
> 11.0.12101003
> System Description: Ubuntu 22.04.1 LTS

I'm unable to reproduce the problem with:

In GNU Emacs 28.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo ve\
rsion 1.16.0)
 of 2022-07-04 built on joga
Repository revision: 5a223c7f2ef4c31abbd46367b6ea83cd19d30aa7
Repository branch: HEAD
System Description: Ubuntu 22.04.1 LTS